summaryrefslogtreecommitdiffstats
path: root/source/a/findutils/findutils.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-08-22 23:44:25 +0000
committer Eric Hameleers <alien@slackware.com>2018-08-23 09:00:32 +0200
commite27639b95ae9a52e4dc9b04a34df56105e210902 (patch)
tree09d5d8456a2f3766a4c9d6d7a5e87e57dc5e9ec0 /source/a/findutils/findutils.SlackBuild
parentcfe7baffeee46ddf054cd19a6570bdab8b0cf7bd (diff)
downloadcurrent-e27639b95ae9a52e4dc9b04a34df56105e210902.tar.gz
current-e27639b95ae9a52e4dc9b04a34df56105e210902.tar.xz
Wed Aug 22 23:44:25 UTC 201820180822234425
a/findutils-4.6.0-x86_64-1.txz: Upgraded. a/kernel-firmware-20180821_1d17c18-noarch-1.txz: Upgraded. a/kernel-generic-4.14.66-x86_64-1.txz: Upgraded. a/kernel-huge-4.14.66-x86_64-1.txz: Upgraded. a/kernel-modules-4.14.66-x86_64-1.txz: Upgraded. ap/man-db-2.8.4-x86_64-2.txz: Rebuilt. Rebuilt to get it on the slackpkg upgrade list since the previous texlive package clobbered /usr/bin/man and we need to fix that. d/kernel-headers-4.14.66-x86-1.txz: Upgraded. k/kernel-source-4.14.66-noarch-1.txz: Upgraded. l/glib2-2.56.2-x86_64-1.txz: Upgraded. t/texlive-2018.180822-x86_64-1.txz: Upgraded. Added some patches that I'd dropped - sorry, my bad. Don't clobber /usr/bin/man. Thanks to Johannes Schoepfer. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/a/findutils/findutils.SlackBuild')
-rwxr-xr-xsource/a/findutils/findutils.SlackBuild57
1 files changed, 46 insertions, 11 deletions
diff --git a/source/a/findutils/findutils.SlackBuild b/source/a/findutils/findutils.SlackBuild
index 13d7935a9..8e7d4f329 100755
--- a/source/a/findutils/findutils.SlackBuild
+++ b/source/a/findutils/findutils.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=findutils
-VERSION=4.4.2
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -57,6 +57,27 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+# Don't use icecream:
+for path_element in $(echo $PATH | tr ':' '\n') ; do
+ if [ "$path_element" = "/usr/libexec/icecc/bin" ]; then
+ continue
+ fi
+ if [ -z "$REVERSE_PATH" ]; then
+ REVERSE_PATH="$path_element"
+ else
+ REVERSE_PATH="${REVERSE_PATH}:$path_element"
+ fi
+done
+for path_element in $(echo $REVERSE_PATH | tr ':' '\n') ; do
+ if [ -z "$FORWARD_PATH" ]; then
+ FORWARD_PATH="$path_element"
+ else
+ FORWARD_PATH="${FORWARD_PATH}:$path_element"
+ fi
+done
+PATH=$FORWARD_PATH
+unset FORWARD_PATH REVERSE_PATH
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
@@ -71,29 +92,43 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# We use slocate instead of these:
-zcat $CWD/findutils.nolocate.diff.gz | patch -p1 --verbose || exit 1
-
# Don't output warnings by default. Let's make the crazy assumption that the
# user actually does know what they are doing, and will use -warn if they'd
# like to be yelled at.
zcat $CWD/findutils.no.default.options.warnings.diff.gz | patch -p1 --verbose || exit 1
-# Feel free to change the "--without-fts" if you like find to be faster and
-# less reliable. With the current setting, "find" will be non-fts(), and
-# ftsfind will still be there if you want to use it.
+# Add patches from Fedora to finally make findutils-4.6.0 usable:
+zcat $CWD/patches/findutils-4.4.2-xautofs.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.5.13-warnings.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.5.15-no-locate.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.6.0-exec-args.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.6.0-fts-update.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.6.0-gnulib-fflush.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.6.0-gnulib-makedev.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.6.0-internal-noop.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.6.0-leaf-opt.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.6.0-man-exec.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.6.0-mbrtowc-tests.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/patches/findutils-4.6.0-test-lock.patch.gz | patch -p1 --verbose || exit 1
+
+autoreconf -vif
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--mandir=/usr/man \
--infodir=/usr/info \
- --disable-locate \
- --without-fts \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Now there is only FTS find, but make the old symlink in case any scripts
+# out there are using it:
+( cd $PKG/usr/bin
+ ln -sf find ftsfind
+)
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null